# ~/.config/starship.toml

format = """
$character\
$directory\
$python\
$fill\
$git_branch$git_commit$git_state$git_status
[>... ](fg:purple)
"""

#right_format = "$memory_usage$git_metrics"
scan_timeout = 10
add_newline = false
palette = 'dracula'

[character]
error_symbol = '[\(ಠ_ಠ\)](fg:red)'
success_symbol = '[¯\\_\(ツ\)_/¯](fg:green)'

[directory]
truncation_length = 3

[fill]
symbol = '-'
style = 'bold grey'

[python]
format = '$symbol($virtualenv)($style)'

[git_branch]
symbol = '🌱 '
truncation_length = 4
truncation_symbol = ''
always_show_remote = true
format = '[$symbol$branch(:$remote_branch)]($style) '

[git_status]
style = 'bold white'
#conflicted = '🏳'
#ahead = '🏎💨'
#behind = '😰'
#diverged = '😵'
#up_to_date = grey'✓'
#untracked = '🤷'
#stashed = '📦'
#modified = '📝'
staged = '[++\($count\)](green)'
#renamed = '👅'
#deleted = '🗑'

[memory_usage]
disabled = false
format = ' $symbol [${ram_pct}](${style})'
threshold = -1
symbol = '🧙'
style = 'bold green'

[palettes.dracula]
black	= '#282a36'
grey	='#44475a'
white	= '#f8f8f2'
blue	='#6272a4'
cyan =	'#8be9fd'
green	= '#50fa7b'
orange =	'#ffb86c'
pink	= '#ff79c6'
purple =	'#bd93f9'
red	= '#ff5555'
yellow =	'#f1fa8c'
